Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::RenderingAPIException Class Reference

`#include <OgreException.h>`

Inheritance diagram for Ogre::RenderingAPIException:

[legend]
List of all members.

## Public Types
enum | ExceptionCodes { ERR_CANNOT_WRITE_TO_FILE, ERR_INVALID_STATE, ERR_INVALIDPARAMS, ERR_RENDERINGAPI_ERROR, ERR_DUPLICATE_ITEM, ERR_ITEM_NOT_FOUND, ERR_FILE_NOT_FOUND, ERR_INTERNAL_ERROR, ERR_RT_ASSERTION_FAILED, ERR_NOT_IMPLEMENTED }
| Static definitions of error codes. More...
## Public Member Functions
| RenderingAPIException (int number, const String &description, const String &source, const char *file, long line)
virtual const String & | getFullDescription (void) const
| Returns a string with the full description of this error.
virtual int | getNumber (void) const throw ()
| Gets the error code.
virtual const String & | getSource () const
| Gets the source function.
virtual const String & | getFile () const
| Gets source file name.
virtual long | getLine () const
| Gets line number.
virtual const String & | getDescription (void) const
| Returns a string with only the 'description' field of this exception.
const char * | what () const throw ()
| Override std::exception::what.
## Protected Attributes
long | line
int | number
String | typeName
String | description
String | source
String | file
String | fullDesc

## Member Enumeration Documentation

enum Ogre::Exception::ExceptionCodes`[inherited]`

  | Static definitions of error codes. Enumeration values:
  ERR_CANNOT_WRITE_TO_FILE |
  ERR_INVALID_STATE |
  ERR_INVALIDPARAMS |
  ERR_RENDERINGAPI_ERROR |
  ERR_DUPLICATE_ITEM |
  ERR_ITEM_NOT_FOUND |
  ERR_FILE_NOT_FOUND |
  ERR_INTERNAL_ERROR |
  ERR_RT_ASSERTION_FAILED |
  ERR_NOT_IMPLEMENTED |
Definition at line 102 of file OgreException.h.

## Constructor & Destructor Documentation

Ogre::RenderingAPIException::RenderingAPIException | ( | int | number,
|  | const String & | description,
|  | const String & | source,
|  | const char * | file,
|  | long | line
| ) |

| Definition at line 234 of file OgreException.h.

## Member Function Documentation

virtual const String& Ogre::Exception::getDescription | ( | void |  | ) | const`[virtual, inherited]`

| Returns a string with only the 'description' field of this exception. Use getFullDescriptionto get a full description of the error including line number, error number and what function threw the exception. Definition at line 166 of file OgreException.h.

virtual const String& Ogre::Exception::getFile | ( |  | ) | const`[virtual, inherited]`

| Gets source file name. Definition at line 156 of file OgreException.h.

virtual const String& Ogre::Exception::getFullDescription | ( | void |  | ) | const`[virtual, inherited]`

| Returns a string with the full description of this error. Remarks: The description contains the error number, the description supplied by the thrower, what routine threw the exception, and will also supply extra platform-specific information where applicable. For example - in the case of a rendering library error, the description of the error will include both the place in which OGRE found the problem, and a text description from the 3D rendering library, if available.

virtual long Ogre::Exception::getLine | ( |  | ) | const`[virtual, inherited]`

| Gets line number. Definition at line 160 of file OgreException.h.

virtual int Ogre::Exception::getNumber | ( | void |  | ) | const throw ()`[virtual, inherited]`

| Gets the error code.

virtual const String& Ogre::Exception::getSource | ( | void |  | ) | const`[virtual, inherited]`

| Gets the source function. Definition at line 152 of file OgreException.h.

const char* Ogre::Exception::what | ( |  | ) | const throw ()`[inherited]`

| Override std::exception::what. Definition at line 169 of file OgreException.h.

## Member Data Documentation

String Ogre::Exception::description`[protected, inherited]`

| Definition at line 92 of file OgreException.h.

String Ogre::Exception::file`[protected, inherited]`

| Definition at line 94 of file OgreException.h.

String Ogre::Exception::fullDesc`[mutable, protected, inherited]`

| Definition at line 95 of file OgreException.h.

long Ogre::Exception::line`[protected, inherited]`

| Definition at line 89 of file OgreException.h.

int Ogre::Exception::number`[protected, inherited]`

| Definition at line 90 of file OgreException.h.

String Ogre::Exception::source`[protected, inherited]`

| Definition at line 93 of file OgreException.h.

String Ogre::Exception::typeName`[protected, inherited]`

| Definition at line 91 of file OgreException.h.

The documentation for this class was generated from the following file:

- OgreException.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:44 2008